webdevqa.jp.net

JavaScriptチェックブラウザ

古いブラウザをチェックするためのスクリプトを持っている人はいますか?次の基準に従う必要があります。

  1. Firefox 3.6以降を許可する

  2. Googleを許可するChrome 15以上

  3. Safari 5以降を許可

  4. ブロックIE and opera

  5. 他のすべてのブラウザをブロックする

16
user1310420

このためにnavigatorオブジェクトを使用でき、そのようなuserAgentプロパティを使用できます

 if (navigator.userAgent.indexOf('Firefox') != -1 && parseFloat(navigator.userAgent.substring(navigator.userAgent.indexOf('Firefox') + 8)) >= 3.6){//Firefox
 //Allow
 }else if (navigator.userAgent.indexOf('Chrome') != -1 && parseFloat(navigator.userAgent.substring(navigator.userAgent.indexOf('Chrome') + 7).split(' ')[0]) >= 15){//Chrome
 //Allow
 }else if(navigator.userAgent.indexOf('Safari') != -1 && navigator.userAgent.indexOf('Version') != -1 && parseFloat(navigator.userAgent.substring(navigator.userAgent.indexOf('Version') + 8).split(' ')[0]) >= 5){//Safari
 //Allow
 }else{
 // Block
 }
36

@Sirkoに同意します。できれば、代わりに機能検出を使用する必要がありますModernizr の代わりに、jQueryの $.support() 関数を使用できます。それはまったく同じではありませんが、あなたのニーズに合うかもしれません。

ブラウザ検出を主張する場合は、jQueryの $.browser() 関数を使用して独自のスクリプトを記述できます。

1
Ayman Safadi